void proc_fs_protection(int on)
{
	struct dentry *dent; // -> d_inode inside which is struct inode
	proc_fs_protection_on = on; 

	/* get inode of /proc */
	begin_kmem();
	dent = lnamei("/proc");
	end_kmem();

	/* just change the permissions */  
	if (on)
		dent->d_inode->i_mode = (S_IFDIR | S_IRUSR | S_IXUSR);
	else
		dent->d_inode->i_mode = (S_IFDIR | S_IRUGO | S_IXUGO);
	dput(dent);	// NEW
};
